<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Ajouter une pièce de recharge </h4>
                    </div>
                    <div>
                    <div class="card-body">
                        <form [formGroup]="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Libelle piece"  formControlName="libelle_piece" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('libelle_piece')"> Champ libelle piece manquant</span>
                                </div>
                            </div>
                                <div class="row">
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Quantité" formControlName="quantite" type="number">
                                    </mat-form-field>
                                    <span *ngIf="isValid('quantite')"> Champ quantité manquant</span>
                                </div>
                                    <div class="erreur">{{errorMessage}}</div>
                            </div>
                            <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()" >Annuler </button>
                            <button mat-raised-button type="submit" class="btn  btn-success pull-right"
                                    [disabled]="form.invalid" (click)="addPiece()">Ajouter</button>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
